JtdsDataSourceUnitTest (jTDS API)
Keywords: net.sourceforge.jtds.test.JtdsDataSourceUnitTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class JtdsDataSourceUnitTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.UnitTestBase
                  net.sourceforge.jtds.test.JtdsDataSourceUnitTest

All Implemented Interfaces:
  junit.framework.Test

public class JtdsDataSourceUnitTest
extends UnitTestBase

Unit tests for the `JtdsDataSource` class.

Version:
  $Id: JtdsDataSourceUnitTest.java,v 1.21 2007/07/08 18:08:54 bheineman Exp $
Author:
  David D. Kilzer

Nested Class Summary
`static class` | `JtdsDataSourceUnitTest.Test_JtdsDataSource_addNonNullProperties` Class used to test `JtdsDataSource.addNonNullProperties(Properties, String, String)`.
`static class` | `JtdsDataSourceUnitTest.Test_JtdsDataSource_fields` Class used to test `JtdsDataSource`.
`static class` | `JtdsDataSourceUnitTest.Test_JtdsDataSource_getConnection`
`static class` | `JtdsDataSourceUnitTest.Test_JtdsDataSource_getReference` Class used to test `JtdsDataSource.getReference()`.

Field Summary

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`JtdsDataSourceUnitTest(java.lang.String name)` Constructor.

Method Summary
`static junit.framework.Test` | `suite()` Construct a test suite for this class.
`void` | `testPublicConstructor()` Tests that the public constructor works.

Methods inherited from class net.sourceforge.jtds.test.UnitTestBase
`assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JtdsDataSourceUnitTest

    public JtdsDataSourceUnitTest(java.lang.String name)

  Constructor.

Parameters:
  `name` - The name of the test.

Method Detail

### suite

    public static junit.framework.Test suite()

  Construct a test suite for this class.

  The test suite includes the tests in this class as well as `JtdsDataSourceUnitTest.Test_JtdsDataSource_getConnection`.

  Returns:
    The test suite to run.

### testPublicConstructor

    public void testPublicConstructor()

  Tests that the public constructor works.

  Needed so that this class has at least one test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009